---
title: IFSC LIST
description: This api is for list all the ifsc code..
---

This api is for list all the ifsc code.If the request have valid data we will get a success response.

## POST

```
https://kraken.airpay.co.in/airpay/ms/baas/api/ifscCode
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| affiliate | Text | Will be provided by Airpay (required) |
| checksum | Text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); (required) |
| api-key | Text | Will be provided by airpay ( required) |
| processor-key | Text | Will be provided by airpay ( required) |

## Parameter

| Field  | Type | Required | Description             |
| ------ | ---- | -------- | ----------------------- |
| ifsc   | Text | No       | IFSC code (length 4-11) |
| pageno | Text | No       | Page number             |

## Request-Example: 

```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/ifscCode' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'ifsc=ABCD' \
--data-urlencode 'pageno=1' \
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | Numeric | 400- fail,200-success(length 3) |
| message | Text | success, fail |
| data | Text | { "ifsc_codes": [ "ABCD0065001", "ABCD0065002", "ABCD0065003", "ABCD0065004", "ABCD0065005", "ABCD0065006", "ABCD0065007", "ABCD0065008", "ABCD0065009" ], "bank_ifsc_count": 112, "number_of_page": 3 } |

## Success-Response:

```
{
    "status": 200,
    "message": "success",
    "data": {
        "ifsc_codes": [
            "ABCD0065001",
            "ABCD0065002",
            "ABCD0065003",
            "ABCD0065004",
            "ABCD0065005",
            "ABCD0065006",
            "ABCD0065007",
            "ABCD0065008",
            "ABCD0065009"
        ],
        "bank_ifsc_count": 112,
        "number_of_page": 3
    }
}
```
## Error-Response:

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```